#ifndef __IPROCESSCONVERGEDALLELE_H_
#define __IPROCESSCONVERGEDALLELE_H_

class IprocessConvergedAllele {
  protected:
    IprocessConvergedAllele() { /* Empty */ }
    virtual ~IprocessConvergedAllele() { /* Empty */ }
  public:
    virtual void processConvergedAllele( unsigned int locus, AlleleType allele ) = 0;
};

#endif /* __IPROCESSCONVERGEDALLELE_H_ */
